\documentclass[12pt]{report}

\usepackage{graphics}
\usepackage{thesis}
\usepackage{latexsym}
\usepackage{hyperref}
\usepackage[user,titleref]{zref}
\usepackage[nameinlink,capitalize]{cleveref}
\usepackage{braket}
\usepackage{natbib}
\usepackage{subfigure}
\usepackage{tikz}
\usepackage{graphicx}
\usepackage[dvips]{epsfig}
%\usepackage{color}

	

\topmargin	0.0cm
\textheight    21cm
%\renewcommand{\arraystretch}{1.2}

%=======================================================
\begin{document}

%set double line spacing
\linespread{2}

%cover page information

\thesistitle{Testing General Relativity through Black-Hole Ringdown Detection}
\authorname{CHUNG Ka-Wai}
\degree{Master of Philosophy}
\programme{Physics}
\supervisor{Prof. LI Tjonnie}
\submitdate{July 2019}
\coverpage


%=======================================================

\pagenumbering{roman}

%abstract

\abstractpage

%=======================================================

%acknowledgement

\acknowledgementpage

%=======================================================

%dedication

\dedicationpage

%=======================================================

%preamble sections

\tableofcontents
\listoffigures
\listoftables


%=======================================================

%initialization

\newpage
\setcounter{page}{0}
\pagenumbering{arabic}
\pagestyle{headings}


%=======================================================

%insert the chapters

\input ./introduction/introduction.tex
\input ./Ch_01/Ch_01.tex
\input ./Ch_02/Ch_02.tex
\input ./background/background.tex
\input ./conclusion/conclusion.tex


%=======================================================

%appendix

\appendix
\input ./proof/proof.tex


%=======================================================

%bibliography

\newpage
\addcontentsline{toc}{chapter}{Bibliography}
\bibliographystyle{ieee}
\bibliography{database}



\end{document}

